#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_with	vivified	# build (internal) Vivified Flash Debugger
#
Summary:	Flash animations rendering library
Summary(pl.UTF-8):	Biblioteka renderująca animacje flash
Name:		swfdec
%define	majver	0.9
Version:	%{majver}.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://swfdec.freedesktop.org/download/swfdec/%{majver}/%{name}-%{version}.tar.gz
# Source0-md5:	7be5e39236e2d6efa61a18e83e5ab73d
URL:		http://swfdec.freedesktop.org/wiki/
BuildRequires:	alsa-lib-devel >= 1.0
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake >= 1:1.6
BuildRequires:	cairo-devel >= 1.6.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.16
BuildRequires:	gstreamer0.10-devel >= 0.10.11
BuildRequires:	gstreamer0.10-plugins-base-devel >= 0.10.17
%{?with_vivified:BuildRequires:	gtk+2-devel >= 2:2.11.6}
BuildRequires:	gtk+2-devel >= 2:2.8.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.6}
BuildRequires:	liboil-devel >= 0.3.9
BuildRequires:	libsoup-devel >= 2.2.100
BuildRequires:	libtool
%{?with_vivified:BuildRequires:	ming-devel >= 0.4.0-0.beta5}
BuildRequires:	pango-devel >= 1:1.16
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	zlib-devel >= 1.1.4
Requires:	cairo >= 1.6.0
Requires:	glib2 >= 1:2.16
Requires:	gstreamer0.10 >= 0.10.11
Requires:	gstreamer0.10-plugins-base >= 0.10.17
Requires:	liboil >= 0.3.9
Requires:	pango >= 1:1.16
Obsoletes:	gimp-plugin-swfdec
Obsoletes:	libswfdec0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libswfdec is a library for rendering Flash animations. Currently it
handles most Flash 3 animations and some Flash 4. No interactivity is
supported yet.

%description -l pl.UTF-8
Biblioteka libswfdec przeznaczona jest do odtwarzania animacji flash.
Obecnie potrafi wyświetlić większość animacji Flash 3 i część Flash 4.
Interaktywność nie jest jeszcze obsługiwana.

%package devel
Summary:	Header file required to build programs using swfdec library
Summary(pl.UTF-8):	Pliki nagłówkowe wymagane przez programy używające swfdec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.6.0
Requires:	glib2-devel >= 1:2.16
Requires:	gstreamer0.10-devel >= 0.10.11
Requires:	gstreamer0.10-plugins-base-devel >= 0.10.17
Requires:	liboil-devel >= 0.3.9
Requires:	pango-devel >= 1:1.16
Obsoletes:	libswfdec0-devel

%description devel
Header files required to build programs using swfdec library.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do kompilacji programów korzystających z
biblioteki swfdec.

%package static
Summary:	Static swfdec library
Summary(pl.UTF-8):	Statyczna biblioteka swfdec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static swfdec library.

%description static -l pl.UTF-8
Statyczna biblioteka swfdec.

%package gtk
Summary:	swfdec-gtk library
Summary(pl.UTF-8):	Biblioteka swfdec-gtk
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib >= 1.0
Requires:	gtk+2 >= 2:2.8.0
Requires:	libsoup >= 2.2.100

%description gtk
swfdec-gtk library.

%description gtk -l pl.UTF-8
Biblioteka swfdec-gtk.

%package gtk-devel
Summary:	Header files for swfdec-gtk library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki swfdec-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}
Requires:	alsa-lib-devel >= 1.0
Requires:	gtk+2-devel >= 2:2.8.0
Requires:	libsoup-devel >= 2.2.100

%description gtk-devel
Header files for swfdec-gtk library.

%description gtk-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki swfdec-gtk.

%package gtk-static
Summary:	Static swfdec-gtk library
Summary(pl.UTF-8):	Statyczna biblioteka swfdec-gtk
Group:		X11/Development/Libraries
Requires:	%{name}-gtk-devel = %{version}-%{release}

%description gtk-static
Static swfdec-gtk library.

%description gtk-static -l pl.UTF-8
Statyczna biblioteka swfdec-gtk.

%package apidocs
Summary:	swfdec API documetation
Summary(pl.UTF-8):	Dokumentacja API swfdec
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
swfdec API documetation.

%description apidocs -l pl.UTF-8
Dokumentacja API swfdec.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gstreamer \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--enable-gtk \
	%{?with_vivified:--enable-vivified} \
	--with-html-dir=%{_gtkdocdir}
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	gtk -p /sbin/ldconfig
%postun	gtk -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libswfdec-%{majver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswfdec-%{majver}.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-%{majver}.so
%dir %{_includedir}/swfdec-%{majver}
%{_includedir}/swfdec-%{majver}/swfdec
%{_pkgconfigdir}/swfdec-%{majver}.pc

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-%{majver}.a

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-gtk-%{majver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswfdec-gtk-%{majver}.so.2

%files gtk-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-gtk-%{majver}.so
%{_includedir}/swfdec-%{majver}/swfdec-gtk
%{_pkgconfigdir}/swfdec-gtk-%{majver}.pc

%files gtk-static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libswfdec-gtk-%{majver}.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/swfdec
%endif
%changelog
* Mon Sep 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/swfdec.git;a=log;h=master

* Mon Sep 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> fba84cd
- up to 0.9.2

* Mon Jul 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 507e24d
- updated dependencies, dropped obsolete configure options, release 5

* Wed Apr 06 2011 Artur Frysiak <artur@frysiak.net> 9889d83
- drop libtool file
- rel. 4

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 5f0cfe8
- BR: docbook-dtd412-xml

* Fri Nov 26 2010 hawk <hawk@pld-linux.org> 7ba3857
- release 3

* Wed Jun 17 2009 hawk <hawk@pld-linux.org> 5329e81
- release 2

* Thu Mar 05 2009 Zsolt Udvari <uzsolt@pld-linux.org> fbf97df
- typo

* Fri Feb 27 2009 wrobell <wrobell@pld-linux.org> cc498e4
- ver. 0.8.4

* Sun Dec 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 10ba448
- up to 0.8.2

* Sun Nov 09 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c1772c
- release 2

* Mon Oct 13 2008 Szymon Siwek <sls@pld-linux.org> c6d1f4e
- BR: cairo-devel >= 1.6.0

* Tue Oct 07 2008 dzeus <dzeus@pld-linux.org> 1ce9d6f
- fixed empty changelog

* Tue Oct 07 2008 dzeus <dzeus@pld-linux.org> c439095
- 0.8.0 merged from DEVEL

* Mon Oct 06 2008 hawk <hawk@pld-linux.org> 08aeab6
- release 2

* Thu Aug 21 2008 Jakub Bogusz <qboosh@pld-linux.org> 159b5f6
- updated to 0.6.8

* Mon Jul 07 2008 dzeus <dzeus@pld-linux.org> e71dded
- rel. 2

* Fri May 16 2008 Patryk Zawadzki <patrys@room-303.com> a4c74c0
- 0.6.6

* Wed Apr 16 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3ceead2
- added CVE reference for revision 1.85

* Sun Apr 13 2008 Jakub Bogusz <qboosh@pld-linux.org> 46245d3
- updated to 0.6.4 (security and crash fixes)
- CVE-2008-1834

* Tue Mar 25 2008 Szymon Siwek <sls@pld-linux.org> d2ff613
- BR: gstreamer-plugins-base-devel >= 0.10.17
  (actually required gstreamer-pbutils-0.10.pc >= 0.10.15)

